BOS_EXEC(8)

NAME
bos_exec - Executes a command on a remote server machine

SYNOPSIS
bos exec -server <machine name> -cmd <command to execute>
    [-cell <cell name>] [-noauth] [-localauth] [-help]

bos e -s <machine name> -cm <command to execute>
    [-ce <cell name>] [-n] [-l] [-h]

DESCRIPTION
The bos exec command executes the indicated command on the file server machine named by the -server argument. Its intended use is to reboot the machine, using the /sbin/reboot command or equivalent.

OPTIONS

-server <machine name>
    Indicates the server machine on which to execute the command. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

-cmd <command to execute>
    Specifies the complete local disk pathname of the command to execute (for example, /sbin/reboot). Surround this argument with double quotes ("") if the command contains one or more spaces.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command reboots the machine "fs2.example.com". The issuer has previously issued the bos shutdown command to shutdown all processes cleanly.

   % bos exec -server fs2.example.com -cmd /sbin/shutdown -r now

PRIVILEGE REQUIRED
The issuer must be listed in the /etc/openafs/server/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

The bos exec command is not available on servers running in restricted mode.

SEE ALSO
bos(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.